<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>AbstractEngineComparator</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractEngineComparator";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractEngineComparator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">qengine.engine.comparator</a></div>
<h2 title="Class AbstractEngineComparator" class="title">Class AbstractEngineComparator</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../AbstractEngine.html" title="class in qengine.engine">qengine.engine.AbstractEngine</a></li>
<li>
<ul class="inheritance">
<li>qengine.engine.comparator.AbstractEngineComparator</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../Engine.html" title="interface in qengine.engine">Engine</a></code></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="DefaultEngineComparator.html" title="class in qengine.engine.comparator">DefaultEngineComparator</a></code>, <code><a href="VerboseEngineComparator.html" title="class in qengine.engine.comparator">VerboseEngineComparator</a></code></dd>
</dl>
<hr>
<pre>public abstract class <span class="typeNameLabel">AbstractEngineComparator</span>
extends <a href="../AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></pre>
<div class="block">Comparaison de deux moteurs en les faisant s'exécuter séquentiellement.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Pierre Romestant, Gabriel Darbord</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="AbstractEngineComparator.Impl.html" title="enum in qengine.engine.comparator">AbstractEngineComparator.Impl</a></span></code></th>
<td class="colLast">
<div class="block">Énumération des implémentations de <a href="AbstractEngineComparator.html" title="class in qengine.engine.comparator"><code>AbstractEngineComparator</code></a>.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../Engine.html" title="interface in qengine.engine">Engine</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#left">left</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#leftDoneParsingQueries">leftDoneParsingQueries</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#leftName">leftName</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../Engine.html" title="interface in qengine.engine">Engine</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#right">right</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#rightName">rightName</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.qengine.engine.AbstractEngine">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;qengine.engine.<a href="../AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></h3>
<code><a href="../AbstractEngine.html#BASE_URI">BASE_URI</a>, <a href="../AbstractEngine.html#nbProcessedQueries">nbProcessedQueries</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(qengine.engine.AbstractEngine.Impl,qengine.engine.AbstractEngine.Impl)">AbstractEngineComparator</a></span>&#8203;(<a href="../AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a>&nbsp;left,
                        <a href="../AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a>&nbsp;right)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dictSize()">dictSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la taille de la base de données utilisée par ce moteur.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#indexSize()">indexSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la taille de l'indexage de la base de données.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbParsedData()">nbParsedData</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne le nombre de triplets RDF analysés.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbProcessedQueries()">nbProcessedQueries</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne le nombre de requêtes traitées.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseData(java.lang.String)">parseData</a></span>&#8203;(java.lang.String&nbsp;dataPath)</code></th>
<td class="colLast">
<div class="block">Récupère et analyse les données au format RDF contenues dans le fichier.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseQueries(java.lang.String,java.lang.String)">parseQueries</a></span>&#8203;(java.lang.String&nbsp;queryPath,
            java.lang.String&nbsp;outputPath)</code></th>
<td class="colLast">
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseQuery(java.lang.String)">parseQuery</a></span>&#8203;(java.lang.String&nbsp;queryString)</code></th>
<td class="colLast">
<div class="block">Un comparateur n'analyse pas de requête, cela est délégué aux moteurs à
 comparer.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>java.util.Set&lt;?&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#processQuery(java.lang.String)">processQuery</a></span>&#8203;(java.lang.String&nbsp;queryString)</code></th>
<td class="colLast">
<div class="block">Un comparateur ne traite pas de requête, cela est délégué aux moteurs à
 comparer.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>protected abstract void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#processQuery(java.lang.String,java.io.FileWriter)">processQuery</a></span>&#8203;(java.lang.String&nbsp;queryString,
            java.io.FileWriter&nbsp;fileWriter)</code></th>
<td class="colLast">
<div class="block">Redéfinition du wrapper qui doit être implémenté de sorte à appeler
 <a href="../Engine.html#processQuery(java.lang.String)"><code>processQuery(String)</code></a> sur les moteurs à
 comparer.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.qengine.engine.AbstractEngine">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;qengine.engine.<a href="../AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></h3>
<code><a href="../AbstractEngine.html#listQueryFiles(java.io.File)">listQueryFiles</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="left">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>left</h4>
<pre>protected&nbsp;<a href="../Engine.html" title="interface in qengine.engine">Engine</a> left</pre>
</li>
</ul>
<a id="right">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>right</h4>
<pre>protected&nbsp;<a href="../Engine.html" title="interface in qengine.engine">Engine</a> right</pre>
</li>
</ul>
<a id="leftName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>leftName</h4>
<pre>protected&nbsp;java.lang.String leftName</pre>
</li>
</ul>
<a id="rightName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rightName</h4>
<pre>protected&nbsp;java.lang.String rightName</pre>
</li>
</ul>
<a id="leftDoneParsingQueries">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>leftDoneParsingQueries</h4>
<pre>protected&nbsp;boolean leftDoneParsingQueries</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(qengine.engine.AbstractEngine.Impl,qengine.engine.AbstractEngine.Impl)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractEngineComparator</h4>
<pre>public&nbsp;AbstractEngineComparator&#8203;(<a href="../AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a>&nbsp;left,
                                <a href="../AbstractEngine.Impl.html" title="enum in qengine.engine">AbstractEngine.Impl</a>&nbsp;right)</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="dictSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dictSize</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;dictSize()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../Engine.html#dictSize()">Engine</a></code></span></div>
<div class="block">Retourne la taille de la base de données utilisée par ce moteur.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la taille de la base de données utilisée par ce moteur</dd>
</dl>
</li>
</ul>
<a id="indexSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSize</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;indexSize()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../Engine.html#indexSize()">Engine</a></code></span></div>
<div class="block">Retourne la taille de l'indexage de la base de données.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la taille de l'indexage de la base de données</dd>
</dl>
</li>
</ul>
<a id="nbParsedData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbParsedData</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;nbParsedData()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../Engine.html#nbParsedData()">Engine</a></code></span></div>
<div class="block">Retourne le nombre de triplets RDF analysés.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de triplets RDF analysés</dd>
</dl>
</li>
</ul>
<a id="nbProcessedQueries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbProcessedQueries</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;nbProcessedQueries()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../Engine.html#nbProcessedQueries()">Engine</a></code></span></div>
<div class="block">Retourne le nombre de requêtes traitées.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Engine.html#nbProcessedQueries()">nbProcessedQueries</a></code>&nbsp;in interface&nbsp;<code><a href="../Engine.html" title="interface in qengine.engine">Engine</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../AbstractEngine.html#nbProcessedQueries()">nbProcessedQueries</a></code>&nbsp;in class&nbsp;<code><a href="../AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de requêtes traitées</dd>
</dl>
</li>
</ul>
<a id="parseData(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseData</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parseData&#8203;(java.lang.String&nbsp;dataPath)
               throws java.io.IOException</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../Engine.html#parseData(java.lang.String)">Engine</a></code></span></div>
<div class="block">Récupère et analyse les données au format RDF contenues dans le fichier.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataPath</code> - le chemin du fichier contenant les données</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="parseQueries(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseQueries</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parseQueries&#8203;(java.lang.String&nbsp;queryPath,
                         java.lang.String&nbsp;outputPath)
                  throws java.io.IOException</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../Engine.html#parseQueries(java.lang.String,java.lang.String)">Engine</a></code></span></div>
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../Engine.html#parseQueries(java.lang.String,java.lang.String)">parseQueries</a></code>&nbsp;in interface&nbsp;<code><a href="../Engine.html" title="interface in qengine.engine">Engine</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../AbstractEngine.html#parseQueries(java.lang.String,java.lang.String)">parseQueries</a></code>&nbsp;in class&nbsp;<code><a href="../AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryPath</code> - le chemin du fichier ou dossier contenant les requêtes</dd>
<dd><code>outputPath</code> - le chemin du fichier résultat qui sera généré</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="parseQuery(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseQuery</h4>
<pre class="methodSignature">public final&nbsp;java.lang.Object&nbsp;parseQuery&#8203;(java.lang.String&nbsp;queryString)</pre>
<div class="block">Un comparateur n'analyse pas de requête, cela est délégué aux moteurs à
 comparer.</div>
</li>
</ul>
<a id="processQuery(java.lang.String,java.io.FileWriter)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>processQuery</h4>
<pre class="methodSignature">protected abstract&nbsp;void&nbsp;processQuery&#8203;(java.lang.String&nbsp;queryString,
                                     java.io.FileWriter&nbsp;fileWriter)
                              throws java.io.IOException</pre>
<div class="block">Redéfinition du wrapper qui doit être implémenté de sorte à appeler
 <a href="../Engine.html#processQuery(java.lang.String)"><code>processQuery(String)</code></a> sur les moteurs à
 comparer.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../AbstractEngine.html#processQuery(java.lang.String,java.io.FileWriter)">processQuery</a></code>&nbsp;in class&nbsp;<code><a href="../AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryString</code> - la requête à traiter</dd>
<dd><code>fileWriter</code> - un écrivain ouvert sur un fichier</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="processQuery(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>processQuery</h4>
<pre class="methodSignature">public final&nbsp;java.util.Set&lt;?&gt;&nbsp;processQuery&#8203;(java.lang.String&nbsp;queryString)</pre>
<div class="block">Un comparateur ne traite pas de requête, cela est délégué aux moteurs à
 comparer. Ces appels sont à effectuer dans le wrapper
 <a href="#processQuery(java.lang.String,java.io.FileWriter)"><code>processQuery(String, FileWriter)</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryString</code> - la requête à traiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>null</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractEngineComparator.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
